CVE-2010-3364

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2010-3364
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2010-3364.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2010-3364
Published
2010-10-20T18:00:04Z
Modified
2024-06-30T12:01:22Z
Summary
[none]
Details

The vips-7.22 script in VIPS 7.22.2 places a zero-length directory name in the LDLIBRARYPATH, which allows local users to gain privileges via a Trojan horse shared library in the current working directory.

References

Affected packages

Debian:11 / vips

Package

Name
vips
Purl
pkg:deb/debian/vips?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
7.14.5-2

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:12 / vips

Package

Name
vips
Purl
pkg:deb/debian/vips?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
7.14.5-2

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:13 / vips

Package

Name
vips
Purl
pkg:deb/debian/vips?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
7.14.5-2

Ecosystem specific

{
    "urgency": "unimportant"
}